Foreman - Bug #14886

Clicking a link or visiting a url while logged out does not properly redirect to original destination
04/29/2016 10:38 AM - Zach Huntington-Meath

Status: Duplicate

Priority: Normal

Assignee: Zach Huntington-Meath
Category: Web Interface

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1321007 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/3479
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1321007
Description of problem:

For some reason the login redirect isn't working properly. It always dumps the user to the hosts page.

Version-Release number of selected component (if applicable):
6.2 Snap4

How reproducible:
Always

Steps to Reproduce:

1. Log out

2. Go to some url such as https://hostname/content_hosts
3. Login

Actual results:
You get redirected to /hosts

Expected results:
redirects you to where you were trying to go

Additional info:
No idea if this has anything to do with katello being present or not, it seemed to start as part of the upgrade to rails 4

This is super annoying

Related issues:
Is duplicate of Foreman - Bug #14072: URL pre login is not respect Closed 03/07/2016

History

#1 - 04/29/2016 10:40 AM - Dominic Cleal
- Is duplicate of Bug #14072: URL pre login is not respect added

#2 - 04/29/2016 10:40 AM - Dominic Cleal

- Status changed from New to Duplicate

This sounds like a duplicate of #14072.

#3 - 04/29/2016 10:54 AM - Dominic Cleal
- Status changed from Duplicate to Ready For Testing

- Assignee set to Zach Huntington-Meath
https://bugzilla.redhat.com/show_bug.cgi?id=1321007
https://hostname/content_hosts
https://projects.theforeman.org/issues/14072

- Pull request https://github.com/theforeman/foreman/pull/3479 added

PR opened anyway.

#4 - 04/29/2016 11:18 AM - Dominic Cleal
- Status changed from Ready For Testing to Duplicate
